### Function

# WebKitWebProcessExtension WebFormManager input_element_auto_fill

since: 2.40

#### Declaration [src]

    void
    webkit_web_form_manager_input_element_auto_fill (
      JSCValue* element,
      const char* value
    )

#### Description [src]

Set the value of an HTML input element as if it had been edited by the user, triggering a change event, and set it as filled automatically. If `element` is not an HTML input element this function does nothing.

Available since: 2.40

#### Parameters

`element`

  Type: `JSCValue`

  A `JSCValue`.

  The data is owned by the caller of the function.

`value`

  Type: `const char*`

  The text to set.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.